Send a voice_call interactive message button
Sends a ‘Call on WhatsApp’ button. Only works during an open CSW (24h window). Requires WhatsApp 2.24.1+.
POST
/v1/calls/voice-call-buttonAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonbody_textstringrequiredMessage body text
min length 1
channel_idstringrequiredChannel ID
min length 1
conversation_idstringInbox conversation ID — when set, message is stored in transcript
display_textstringButton display text (max 20 chars, default 'Call Now')
max length 20
payloadstringTracking payload (max 512 chars, echoed as cta_payload)
max length 512
tostringrequiredRecipient phone number
min length 1
ttl_minutesinteger<int64>Button TTL in minutes (1-43200, default 10080 = 7 days)
min 1 · max 43200
Responses
200OK
statusstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/calls/voice-call-button" \
-H "Content-Type: application/json" \
-d '{
"body_text": "string",
"channel_id": "string",
"conversation_id": "string",
"display_text": "string",
"payload": "string",
"to": "string",
"ttl_minutes": 0
}'const response = await fetch("/v1/calls/voice-call-button", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"body_text": "string",
"channel_id": "string",
"conversation_id": "string",
"display_text": "string",
"payload": "string",
"to": "string",
"ttl_minutes": 0
})
});import requests
response = requests.post(
"/v1/calls/voice-call-button",
headers={
"Content-Type": "application/json"
},
json={
"body_text": "string",
"channel_id": "string",
"conversation_id": "string",
"display_text": "string",
"payload": "string",
"to": "string",
"ttl_minutes": 0
},
)Response
{
"status": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}